Title: Operator index > By section > Generate

<!-- libvips/iofuncs/generate.c -->

These functions let you attach generate functions to images and ask for
regions of images to be calculated.

## Callbacks

* [callback@GenerateFn]
* [callback@RegionWrite]
* [callback@SinkNotify]
* [callback@StartFn]
* [callback@StopFn]

## Functions

* [method@Image.sink_disc]
* [method@Image.sink]
* [method@Image.sink_tile]
* [method@Image.sink_screen]
* [func@sink_memory]
* [func@start_one]
* [func@stop_one]
* [func@start_many]
* [func@stop_many]
* [func@allocate_input_array]
* [method@Image.generate]
* [func@Image.pipeline_array]
* [method@Image.pipelinev]
